MasterPortTypeSOAPBindingStub
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs.bindings
Class MasterPortTypeSOAPBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.gcube.dir.master.stubs.bindings.MasterPortTypeSOAPBindingStub

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.Stub, MasterPortType

    public class MasterPortTypeSOAPBindingStub

extends org.apache.axis.client.Stub
implements MasterPortType

Field Summary

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`MasterPortTypeSOAPBindingStub()`
`MasterPortTypeSOAPBindingStub(javax.xml.rpc.Service service)`
`MasterPortTypeSOAPBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`org.gcube.common.core.types.VOID` | `addCollection(java.lang.String parameters)` Adds a collection to the bound collection set.
`org.oasis.wsrf.lifetime.DestroyResponse` | `destroy(org.oasis.wsrf.lifetime.Destroy destroyRequest)`
`org.gcube.common.core.types.StringArray` | `getCollectionIDs(org.gcube.common.core.types.VOID parameters)` Returns the identifiers of the collections in the bound set.
`org.oasis.wsrf.properties.GetMultipleResourcePropertiesResponse` | `getMultipleResourceProperties(org.oasis.wsrf.properties.GetMultipleResourceProperties_Element getMultipleResourcePropertiesRequest)`
`org.oasis.wsrf.properties.GetResourcePropertyResponse` | `getResourceProperty(javax.xml.namespace.QName getResourcePropertyRequest)`
`java.lang.String` | `merge(IFusionParameters parameters)` Returns the endpoint of a resultset obtained by merging the results produced by executing a given query against one more collections in the bound set.
`org.oasis.wsrf.properties.QueryResourcePropertiesResponse` | `queryResourceProperties(org.oasis.wsrf.properties.QueryResourceProperties_Element queryResourcePropertiesRequest)`
`ICollectionRanking` | `select(ISelectionParameters parameters)` Returns the list of RankEntries which results from selecting over the collections in the bound set with respect to a given quert and in accordance with given selection criteria.
`org.oasis.wsrf.properties.SetResourcePropertiesResponse` | `setResourceProperties(org.oasis.wsrf.properties.SetResourceProperties_Element setResourcePropertiesRequest)`
`org.oasis.wsrf.lifetime.SetTerminationTimeResponse` | `setTerminationTime(org.oasis.wsrf.lifetime.SetTerminationTime setTerminationTimeRequest)`

Methods inherited from class org.apache.axis.client.Stub
`_getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getTimeout, getUsername, removeProperty, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MasterPortTypeSOAPBindingStub

    public MasterPortTypeSOAPBindingStub()
                                  throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### MasterPortTypeSOAPBindingStub

    public MasterPortTypeSOAPBindingStub(java.net.URL endpointURL,
                                         javax.xml.rpc.Service service)
                                  throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### MasterPortTypeSOAPBindingStub

    public MasterPortTypeSOAPBindingStub(javax.xml.rpc.Service service)
                                  throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### getCollectionIDs

    public org.gcube.common.core.types.StringArray getCollectionIDs(org.gcube.common.core.types.VOID parameters)
                                                             throws java.rmi.RemoteException,
                                                                    org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `MasterPortType`
  Returns the identifiers of the collections in the bound set.

  Specified by:
    `getCollectionIDs` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### addCollection

    public org.gcube.common.core.types.VOID addCollection(java.lang.String parameters)
                                                   throws java.rmi.RemoteException,
                                                          org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `MasterPortType`
  Adds a collection to the bound collection set.

  Specified by:
    `addCollection` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### select

    public ICollectionRanking select(ISelectionParameters parameters)
                              throws java.rmi.RemoteException,
                                     org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `MasterPortType`
  Returns the list of RankEntries which results from selecting over the collections in the bound set with respect to a given quert and in accordance with given selection criteria.

  Specified by:
    `select` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### merge

    public java.lang.String merge(IFusionParameters parameters)
                           throws java.rmi.RemoteException,
                                  org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `MasterPortType`
  Returns the endpoint of a resultset obtained by merging the results produced by executing a given query against one more collections in the bound set.

  Specified by:
    `merge` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### getMultipleResourceProperties

    public org.oasis.wsrf.properties.GetMultipleResourcePropertiesResponse getMultipleResourceProperties(org.oasis.wsrf.properties.GetMultipleResourceProperties_Element getMultipleResourcePropertiesRequest)
                                                                                                  throws java.rmi.RemoteException,
                                                                                                         org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                                         org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `getMultipleResourceProperties` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### getResourceProperty

    public org.oasis.wsrf.properties.GetResourcePropertyResponse getResourceProperty(javax.xml.namespace.QName getResourcePropertyRequest)
                                                                              throws java.rmi.RemoteException,
                                                                                     org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                     org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `getResourceProperty` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### destroy

    public org.oasis.wsrf.lifetime.DestroyResponse destroy(org.oasis.wsrf.lifetime.Destroy destroyRequest)
                                                    throws java.rmi.RemoteException,
                                                           org.oasis.wsrf.lifetime.ResourceUnknownFaultType,
                                                           org.oasis.wsrf.lifetime.ResourceNotDestroyedFaultType

  Specified by:
    `destroy` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.lifetime.ResourceUnknownFaultType`
    `org.oasis.wsrf.lifetime.ResourceNotDestroyedFaultType`

### queryResourceProperties

    public org.oasis.wsrf.properties.QueryResourcePropertiesResponse queryResourceProperties(org.oasis.wsrf.properties.QueryResourceProperties_Element queryResourcePropertiesRequest)
                                                                                      throws java.rmi.RemoteException,
                                                                                             org.oasis.wsrf.properties.UnknownQueryExpressionDialectFaultType,
                                                                                             org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                             org.oasis.wsrf.properties.InvalidQueryExpressionFaultType,
                                                                                             org.oasis.wsrf.properties.QueryEvaluationErrorFaultType,
                                                                                             org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `queryResourceProperties` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.UnknownQueryExpressionDialectFaultType`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.InvalidQueryExpressionFaultType`
    `org.oasis.wsrf.properties.QueryEvaluationErrorFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### setResourceProperties

    public org.oasis.wsrf.properties.SetResourcePropertiesResponse setResourceProperties(org.oasis.wsrf.properties.SetResourceProperties_Element setResourcePropertiesRequest)
                                                                                  throws java.rmi.RemoteException,
                                                                                         org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                         org.oasis.wsrf.properties.InvalidSetResourcePropertiesRequestContentFaultType,
                                                                                         org.oasis.wsrf.properties.SetResourcePropertyRequestFailedFaultType,
                                                                                         org.oasis.wsrf.properties.ResourceUnknownFaultType,
                                                                                         org.oasis.wsrf.properties.UnableToModifyResourcePropertyFaultType

  Specified by:
    `setResourceProperties` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.InvalidSetResourcePropertiesRequestContentFaultType`
    `org.oasis.wsrf.properties.SetResourcePropertyRequestFailedFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`
    `org.oasis.wsrf.properties.UnableToModifyResourcePropertyFaultType`

### setTerminationTime

    public org.oasis.wsrf.lifetime.SetTerminationTimeResponse setTerminationTime(org.oasis.wsrf.lifetime.SetTerminationTime setTerminationTimeRequest)
                                                                          throws java.rmi.RemoteException,
                                                                                 org.oasis.wsrf.lifetime.UnableToSetTerminationTimeFaultType,
                                                                                 org.oasis.wsrf.lifetime.ResourceUnknownFaultType,
                                                                                 org.oasis.wsrf.lifetime.TerminationTimeChangeRejectedFaultType

  Specified by:
    `setTerminationTime` in interface `MasterPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.lifetime.UnableToSetTerminationTimeFaultType`
    `org.oasis.wsrf.lifetime.ResourceUnknownFaultType`
    `org.oasis.wsrf.lifetime.TerminationTimeChangeRejectedFaultType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD